Subject: Re: [PATCH v3] http API: fix dangling pointer issue noted by GCC 12.0

From: Taylor Blau <[email-masked]>
Date: Fri, 25 Mar 2022 14:11:14 -0400

On Fri, Mar 25, 2022 at 03:34:49PM +0100, Ævar Arnfjörð Bjarmason wrote:
> This isn't the only caller that assigns to "slot->finished", see see

s/see see/see ?

> the assignments in http-walker.c:process_alternates_response() and
> http.c:finish_active_slot().
>
> But those assignments are both to the pointer to our local variable
> here, so this fix is correct. The only way that code in http-walker.c
> could have done its assignments is to the pointer to this specific
> variable.

Got it; this is the key piece that I was missing in my earlier review.
Sorry about that, this looks completely safe to me now.

Thanks,
Taylor